'''
实验名称：人脸检测
实验平台：核桃派1B
'''

import cv2

img = cv2.imread('face1.jpg') #读取图像

#加载人脸检测级联分离器，注意路径不能含有中文字符
faceCascade = cv2.CascadeClassifier('data/haarcascade_frontalface_default.xml')

#检测出所有人脸
faces = faceCascade.detectMultiScale(img, 1.2)

#遍历所有人脸结果
for (x, y, w, h) in faces:
    cv2.rectangle(img, (x, y), (x+w, y+h), (0, 0, 255), 3) #人脸画框
    
cv2.imshow('result', img) #显示图像

cv2.waitKey() #等待键盘任意按键按下
cv2.destroyAllWindows() #关闭窗口



    